Redmine - Defect #9551

Changing assignee should be notify the previous assignee
2011-11-11 10:07 - pasquale [:dedalus]

Status: Closed Start date: 2011-11-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 1.2.1

Description

When user change assignee to a new developer, the old assignee should be notify by mail (making this for example adding the old
assignee as watcher).

| intend this as a defect and not feature, because if the old assignee is working to bug resolution and a new one change assignee, 2
different person can work to same problem.

Related issues:
Is duplicate of Redmine - Feature #2694: Notification on loosing assignment Closed 2009-02-07

History

#1 - 2011-11-16 02:36 - Mischa The Evil
- Status changed from New to Closed
- Priority changed from High to Normal

- Resolution set to Invalid

pasquale [:dedalus] wrote:

When user change assignee to a new developer, the old assignee should be notify by mail

Depending on the email settings of both Redmine in general and the involved Redmine users specifically, email notifications are already sent to the
involved users whenever the Assignee attribute value of the issue changes.

| intend this as a defect and not feature, because if the old assignee is working to bug resolution and a new one change assignee, 2 different
person can work to same problem.

See above...

#2 - 2011-11-16 08:33 - pasquale [:dedalus]

- Status changed from Closed to Reopened

Depending on the email settings of both Redmine in general and the involved Redmine users specifically

Misha you are wrong.

| want that when I'm assignee of the bug and someone change assignee (in one of my project where I'm not watcher), Redmine notify me by mail.
This now can't happens when | have set my notification as "Only for things | watch or I'm involveed in".

=> Reopen

#3 - 2011-11-24 22:41 - Jean-Philippe Lang
- Status changed from Reopened to Confirmed

- Resolution deleted (Invalid)

Indeed. Say we have 2 users A and B who want notifications for assigned issue.
https://www.redmine.org/projects/redmine/wiki/RedmineSettings#Email-notifications
https://www.redmine.org/projects/redmine/wiki/RedmineAccounts#Mail-notifications

When the assignee of an issue is changed from A to B, only B gets notified. A should be notified of the change.

#4 - 2011-11-26 23:06 - Mischa The Evil

Jean-Philippe Lang wrote:

Indeed.

That is also what | found out while | was testing it with the additional info provided in note-2, but still had to post my "results" to this issue... :-/
pasquale [:dedalus]

This now can't happens when | have set my notification as "Only for things | watch or I'm involveed in".

What | saw was that this is not tied to the users mail notification setting. This e.g. also happens when the settings value is "Only for things that | am
assigned to".

#5 - 2011-11-28 00:28 - Mischa The Evil
FTR, this was first reported in #2694.

#6 - 2012-01-23 18:55 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

Implemented in r8695.

#7 - 2012-01-24 08:35 - pasquale [:dedalus]

Jean-Philippe Lang wrote:

Implemented in r8695.

Great! Missing target version (1.3.1 or 1.4.0)

#8 - 2012-01-24 09:05 - Etienne Massip

- Target version set to 1.4.0

#9 - 2012-01-24 09:07 - Etienne Massip
- Target version deleted (1.4.0)

My bad, it has already been set to 1.4.0 in #2694.

#10 - 2012-09-10 09:43 - jie zheng

hi, it seems can not work. | test with my account and account B, when change the issue assignee from me to B, B can receive mail but i can not
receive the mail. what's happened?

#11 - 2018-07-04 14:09 - Harm Ant

The issue was fixed in 2.x.

But after upgrading to Redmine 3.4.2.stable notifications to old assignee is absent!

#12 - 2018-07-04 14:15 - Marius BALTEANU

Harm Ant wrote:
The issue was fixed in 2.x.

But after upgrading to Redmine 3.4.2.stable notifications to old assignee is absent!

Please update your Redmine instance to the latest version or at least to 3.4.3 where the issue was fixed (#26627).

2025-05-17 22


https://www.redmine.org/issues/2694
https://www.redmine.org/projects/redmine/repository/svn/revisions/8695
https://www.redmine.org/projects/redmine/repository/svn/revisions/8695
https://www.redmine.org/versions/40
https://www.redmine.org/issues/2694
https://www.redmine.org/issues/26627
http://www.tcpdf.org

